# ThreadClass Constructor (String)
Initializes a new instance of the Thread class.

AsterNet Class Library (Sandcastle documentation)

| ThreadClass Constructor (String)

Initializes a new instance of the Thread class.

Namespace: AsterNET.Util
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public ThreadClass(
    	string Name
    )

    Public Sub New (
    	Name As String
    )

    public:
    ThreadClass(
    	String^ Name
    )

    new :
            Name : string -> ThreadClass

#### Parameters

Name
  Type: System
  String
  The name of the thread

See Also

#### Reference

ThreadClass Class
ThreadClass Overload
AsterNET.Util Namespace